( function( $ ) {
    "use strict";
    excute_template_product_layout();
    function excute_template_product_layout() {
        $(document).on("click",".product-layout-delete-template",function(event){
            event.preventDefault();
            if(confirm("Are you sure will delete this template ?")){
                var _this = $(this);
                _this.addClass('updating-message');
                var _id = _this.data('template-id');
                var language = _this.data('language');
                var template_type=$('#mst_product_template_type').val();
                delete_template_product_layout(_this,_id,language,template_type);
            }           
        });
        $(document).on("click",".product-layout-active-template",function(event){
            event.preventDefault();
            var _this = $(this);
            var _id = _this.data('template-id');
            var template_type=$('#mst_product_template_type').val();
            active_template_product_layout(_this,_id,template_type);
        });       
        $(document).on("click", ".btn-show-form-import-product-layout", function(event) {
            event.preventDefault();
            $(".form-import-product-layout").toggle("slow", function() {});
        });
        $(document).on("submit", "#frm-import-product-layout", function(event) {
            event.stopPropagation();
            event.preventDefault();
            var formData = new FormData();
            var importFiles = $("#file-import-product-layout")[0].files;
            jQuery.each(importFiles, function(index, value) {
              var name = "file";
              formData.append(name, value);
            });
            var _this = $(this);
            var language = _this.find(".btn-import-product-layout").data("language");
            formData.append("action", "mst_product_layout_import");
            formData.append("nonce", mst_product_layout_data.nonce);
            formData.append("language", language);
            import_template_product_layout(formData, _this);
        });       
        $(document).on("click", ".btn-export-product-layout", function(event) {
            event.preventDefault();
            if(confirm(mst_product_layout_data.sure)){
                var _this = $(this);
                export_template_product_layout(_this);
            }   
        });
    }

    function redirect_template_indentify(type,language=""){
        var param_lang = language !='' ? '&lang='+language : '';
        var types = ['category','single','tags','brand','shop','attribute'];
        if(types.includes(type)){
            window.location='admin.php?page=mst_cplfvc-active-templates&type='+type+param_lang;
        }else{
            window.location='admin.php?page=mst_cplfvc-active-templates'+param_lang;
        }
    }
    
    function delete_template_product_layout(_this,_id,language,template_type){
        $.ajax({
            url: ajaxurl,
            type: 'POST',
            data: {
                'action': 'mst_product_layout_delete',
                'nonce': mst_product_layout_data.nonce,
                'id':_id,
                'language':language,
                'template_type':template_type
            }
        })
        .done(function (res) {
           
            if(res.success){
                _this.removeClass("updating-message");
                $(".mstcplfwpb-alert-savechange").show();
                $(".mstcplfwpb-save-change").html(mst_product_layout_data.deleted);
                $("html, body").animate({ scrollTop: 0 }, "200");
                setTimeout(function() {
                    $(".mstcplfwpb-alert-savechange").fadeOut(1000);
                }, 4000);
                redirect_template_indentify(template_type,language);
            } 
        })
        .fail(function (res) {
            _this.removeClass("updating-message");
            console.log(res);
        });
    }

    function active_template_product_layout(_this,_id,template_type){
        _this.addClass('updating-message');
        var language = _this.data("language");
        $.ajax({
            url: ajaxurl,
            type: 'POST',
            data: {
                'action': 'mst_product_layout_active',
                'nonce': mst_product_layout_data.nonce,
                'id':_id,
                'template_type':template_type,
                'language':language
            }
        })
        .done(function (res) {
            if(res.success){
                redirect_template_indentify(template_type,language);
            } 
        })
        .fail(function (res) {
            console.log(res);
        });
    }

    function import_template_product_layout(formData, _this){
        _this.find(".btn-import-product-layout").addClass("updating-message");
        $.ajax({
            url: ajaxurl,
            type: "POST",
            data: formData,
            cache: false,
            dataType: "json",
            processData: false,
            contentType: false
        })
        .done(function(res) {
            _this.find(".btn-import-product-layout").removeClass("updating-message");
            if (res.success) {
                location.reload();
            } else {
                console.log(res.data.mess);
            }
        })
        .fail(function(res) {
            console.log(res);
        });
    }

    function export_template_product_layout(_this){
        _this.addClass("updating-message");
        var language = _this.data("language");
        $.ajax({
            url: ajaxurl,
            type: "POST",
            data: {
                'action': 'mst_product_layout_export',
                'nonce': mst_product_layout_data.nonce,
            }
        })
        .done(function(res) {
            _this.removeClass("updating-message");
            if (res.success) {
            window.document.location.href =
                mst_product_layout_data.home_url +
                "/export-template-product-layout?language=" +
                language;
            }
        })
        .fail(function(res) {
            _this.removeClass("updating-message");
            console.log(res);
        });
    }
} )( jQuery );