<?php
namespace mysterious\productlayout\controllers;
use function mysterious\productlayout\productLayoutWPB;
class hooks
{
    private static $_instance = null;

    public function __construct()
    {
        //UPDATE 21/05/2021
        add_action( 'product_layout_wpb_before_main_content', array( $this, 'product_layout_wpb_before_main_content'), 10, 1 );
        add_action( 'product_layout_wpb_after_main_content', array( $this, 'product_layout_wpb_after_main_content'), 10, 1 );
        add_action( 'product_layout_wpb_before_content', array( $this, 'product_layout_wpb_before_content'), 10, 1 );
        add_action( 'product_layout_wpb_after_content', array( $this, 'product_layout_wpb_after_content'), 10, 1 );
        add_action( 'product_page_wpb_show_content', array( $this, 'product_page_wpb_show_content'), 10, 1 );
    }
    public static function instance()
    {
        if (is_null(self::$_instance)) {
            self::$_instance = new self();
        }
        return self::$_instance;
    }
    
    public function product_layout_wpb_before_main_content($is_theme)
    {    
        switch ($is_theme)
        {
            case 'amely':
                echo '<div class="container"><div class="inner-page-wrap"><div id="main" class="site-content">';
                break;
            case 'woodmart':
                if(!get_option( 'wc_settings_tab_product_tag_hide_sidebar') || get_option( 'wc_settings_tab_product_tag_hide_sidebar')==="no"){
                    do_action( 'woocommerce_sidebar' );
                }
                break;
            case 'flatsome':
                ?>
                <div class="row category-page-row">
                <div class="col large-3 hide-for-medium <?php flatsome_sidebar_classes(); ?>">
                    <?php flatsome_sticky_column_open( 'category_sticky_sidebar' ); ?>
                    <div id="shop-sidebar" class="sidebar-inner col-inner">
                        <?php
                            if(is_active_sidebar('shop-sidebar')){
                                dynamic_sidebar('shop-sidebar');
                            }
                        ?>
                        </div>
                    <?php flatsome_sticky_column_close( 'category_sticky_sidebar' ); ?>
                </div>
	            <div class="col large-9">
                <?php
                break;
            case 'total':
                echo '<div id="content-wrap" class="container wpex-clr">';
	            wpex_hook_primary_before();
			    echo '<div id="primary" class="content-area wpex-clr">';
				wpex_hook_content_before();
				echo '<div id="content" class="site-content wpex-clr">';
				wpex_hook_content_top();
				echo '<article class="entry-content entry wpex-clr">';
                break;
            case 'shopkeeper':
                $shop_has_sidebar = ( is_active_sidebar( 'catalog-widget-area' ) && '0' === \Shopkeeper_Opt::getOption( 'sidebar_style', '1' ) ) ? true : false;
                $shop_sidebar_class = $shop_has_sidebar ? 'shop-has-sidebar' : '';
                echo '<div id="primary" class="content-area shop-page '.esc_attr($shop_sidebar_class).'">';
	            echo '<div class="row">';
		        echo '<div class="large-12 columns">';
			    echo '<div class="before_main_content">';
                break;
            default:
                break;
        }
        do_action( 'woocommerce_before_main_content' );
    }

    public function product_layout_wpb_after_main_content($is_theme)
    {
        switch ($is_theme)
        {
            case 'amely':
                echo '</div></div></div>';
                do_action( 'woocommerce_after_main_content' );
                do_action( 'woocommerce_sidebar' );
                break;
            case 'woodmart':
                do_action( 'woocommerce_after_main_content' );
                break;
            case 'flatsome':
                do_action( 'flatsome_products_after' );	 
		        do_action( 'woocommerce_after_main_content' );
                echo '</div></div>';
                break;
            case 'total':
                do_action( 'woocommerce_after_main_content' );
				echo '</article>';
				wpex_hook_content_bottom();
				echo '</div>';
                wpex_hook_content_after();
                echo '</div>';
                wpex_hook_primary_after();
                echo '</div>';
                break;
            case 'shopkeeper':
                do_action('woocommerce_after_main_content');
                echo '</div></div></div></div></div></div>';
                break;
            case 'mato':
                do_action('woocommerce_after_main_content');
                break;
            default:
                do_action( 'woocommerce_after_main_content' );
                do_action( 'woocommerce_sidebar' );
                break;
        }
    }

    public function product_layout_wpb_before_content($is_theme)
    {
        switch ($is_theme)
        {

            case 'porto':
                echo '<div class="archive-products">';
                break;
            case 'mato':
                if(is_active_sidebar('shop_sidebar'))
                {
                    global $woocommerce_loop;
                    $woocommerce_loop["columns"] = 3;
                    echo '<div class="row">';
                    echo '<div class="col-12 col-md-8">';
                }
                break;
            case 'woodmart':
                do_action( 'woodmart_before_shop_page' ); 
                do_action( 'woodmart_shop_filters_area' );
                echo '<div class="woodmart-active-filters">';
                do_action( 'woodmart_before_active_filters_widgets' );
                the_widget( 'WC_Widget_Layered_Nav_Filters', array(
                    'title' => ''
                ), array() );
                do_action( 'woodmart_after_active_filters_widgets' );
                echo '</div>';
                echo '<div class="woodmart-shop-loader"></div>';
                break;
            case 'total':
                echo '<style>nav.woocommerce-breadcrumb {display: none;}article.entry-content.entry.wpex-clr .content-area{width:100%;}</style>';
                break;
            case 'shopkeeper':
                $shop_has_sidebar = ( is_active_sidebar( 'catalog-widget-area' ) && '0' === \Shopkeeper_Opt::getOption( 'sidebar_style', '1' ) ) ? true : false;
                $shop_content_class = $shop_has_sidebar ? 'xlarge-10 large-9 columns' : 'large-12 columns';
                $parent_id      = get_queried_object_id();
                $categories     = get_terms( 'product_cat', array( 'hide_empty' => \Shopkeeper_Opt::getOption( 'hide_empty_categories', false ), 'parent' => $parent_id ) );
                $display_mode 	= woocommerce_get_loop_display_mode();
                echo '</div>';
                echo '<div id="content" class="site-content" role="main">';
                echo '<div class="row">';
                if ( $shop_has_sidebar )
                {
                    echo '<div class="xlarge-2 large-3 columns show-for-large">';
					echo '<div class="shop_sidebar wpb_widgetised_column">';
                    do_action( 'woocommerce_sidebar' );
					echo '</div>';
					echo '</div>';
                }
                echo '<div class="'.esc_attr( $shop_content_class ).'">';
                echo '<div class="large-12 mobile-columns-'.\Shopkeeper_Opt::getOption( 'mobile_columns', 2 ).'">';
                break;
            default:
                break;
        }
        
    }

    public function product_layout_wpb_after_content($is_theme)
    {
        switch ($is_theme)
        {
            case 'mato':
                if(is_active_sidebar('shop_sidebar'))
                {
                    echo '</div>';
                        echo '<div class="site-sidebar col-12 col-md-4">';
                            echo '<div class="wrap">';
                            dynamic_sidebar('shop_sidebar');
                            echo '</div>';
                        echo '</div>';
                    echo '</div>';
                }
                break;
            case 'porto':
                echo '</div>';
                break;
            case 'shopkeeper':
                echo '</div>';
                break;
            default:
                break;
        }
    }

    public function product_page_wpb_show_content($result)
    {
        $is_theme_active = productLayoutWPB()->currentTheme();
        switch ($is_theme_active)
        {
            case 'shopkeeper':
                echo '<div class="large-12 xlarge-10 xxlarge-9 large-centered columns"><div class="product_content_wrapper">';
                break;
            default:
                break;
        }
        $content 		= isset($result["template"]->content) ? $result["template"]->content : "";
		$template_id    = isset($result["template"]->id) ? intval($result["template"]->id) : 0;
		productLayoutWPB()->show_template_content($template_id,$content);
        switch ($is_theme_active)
        {
            case 'shopkeeper':
                echo '</div></div>';
                break;
            default:
                break;
        }
    }
}