<h1><?php echo esc_html__('Product Layout',MST_CPLFVC); ?></h1>
<button data-language="<?php echo esc_attr($language); ?>" class="button button-primary btn-show-form-import-product-layout" title="<?php echo esc_attr__("Import All Template",MST_CPLFVC); ?>"><?php echo esc_html__("Import Template",MST_CPLFVC); ?></button>
<button data-language="<?php echo esc_attr($language); ?>" class="button button-primary btn-export-product-layout" title="<?php echo esc_attr__("Export All Template",MST_CPLFVC); ?>"><?php echo esc_html__("Export Template",MST_CPLFVC); ?></button>
<div class="form-import-product-layout">
    <form id="frm-import-product-layout" method="post" enctype="multipart/form-data">
        <input id="file-import-product-layout" type="file" />
        <button type="submit" data-language="<?php echo esc_attr($language); ?>" class="button button-primary btn-import-product-layout"><?php echo esc_html__("Import Template",MST_CPLFVC); ?></button>
    </form>
</div><hr/>
<nav class="nav-tab-wrapper">
    <a title="<?php echo esc_attr__('Shop templates',MST_CPLFVC); ?>" href="?page=mst_cplfvc-active-templates" class="nav-tab <?php echo (empty($type) || $type === 'shop') ? 'nav-tab-active' : '';?>"><?php echo esc_html__('Shop templates',MST_CPLFVC); ?></a>
    <a title="<?php echo esc_attr__('Product category templates',MST_CPLFVC); ?>" href="?page=mst_cplfvc-active-templates&type=category" class="nav-tab <?php echo $type === 'category' ? 'nav-tab-active' : ''; ?>"><?php echo esc_html__('Product category templates',MST_CPLFVC); ?></a>
    <a title="<?php echo esc_attr__('Product templates',MST_CPLFVC); ?>" href="?page=mst_cplfvc-active-templates&type=single" class="nav-tab <?php echo $type === 'single' ? 'nav-tab-active' : ''; ?>"><?php echo esc_html__('Product templates',MST_CPLFVC); ?></a>
    <a title="<?php echo esc_attr__('Product tag  templates',MST_CPLFVC); ?>" href="?page=mst_cplfvc-active-templates&type=tags" class="nav-tab <?php echo $type === 'tags' ? 'nav-tab-active' : ''; ?>"><?php echo esc_html__('Product tag  templates',MST_CPLFVC); ?></a>
    <a title="<?php echo esc_attr__('Product brand templates',MST_CPLFVC); ?>" href="?page=mst_cplfvc-active-templates&type=brand" class="nav-tab <?php echo $type === 'brand' ? 'nav-tab-active' : ''; ?>"><?php echo esc_html__('Product brand templates',MST_CPLFVC); ?></a>
    <a title="<?php echo esc_attr__('Product attribute templates',MST_CPLFVC); ?>" href="?page=mst_cplfvc-active-templates&type=attribute" class="nav-tab <?php echo $type === 'attribute' ? 'nav-tab-active' : ''; ?>"><?php echo esc_html__('Product attribute templates',MST_CPLFVC); ?></a>
</nav>
<input type="hidden" id="mst_product_template_type" name="mst_product_template_type" value="<?php echo esc_attr($type); ?>">
<div class="wrap">
    <div class="mstcplfwpb-container">
    <h1><span class="mstcplfwpb-activated"> <?php echo $title_active ? $title_active : esc_html__('No templates activated',MST_CPLFVC); ?> </span><?php if($title_active):?><span class="title-count"><?php echo esc_html__("Activated",MST_CPLFVC); ?></span><?php endif;?>
            <a href="<?php echo esc_url($addnew); ?>" class="hide-if-no-js page-title-action"><?php echo esc_html__("Add Template",MST_CPLFVC); ?></a>
            <?php if($title_active):?>
                <span class="mstcplfwpb-template-default"><button data-language="<?php echo esc_attr($language); ?>" data-template-id="0" class="button product-layout-active-template"><?php echo esc_html__("Default Template",MST_CPLFVC); ?></button></span>
            <?php endif;?>
        </h1> 
    </div>
    <div class="mstcplfwpb-templates">         
        <?php 
            if($title_active){
                foreach ($templates as $key => $template){?>
                    <?php if($template->active==1){ 
                        $query_arg  = $type ? array('post_type' => $this->post_type,'type' => $type,'edit' => $template->id) : array('post_type' => $this->post_type,'edit' => $template->id);
                        $urledit    = add_query_arg( $query_arg, esc_url(admin_url('post-new.php')) );
                    ?>
                        <div class="mstcplfwpb-template">
                            <div class="mstcplfwpb-template-container">
                                <img src="<?php echo esc_url($template_image); ?>">
                                <div class="mstcplfwpb-template-name">
                                    <h3 class="mstcplfwpb-h3-name"><?php echo esc_html__($template->title); ?></h3>
                                </div>
                                <span class="template_active"><?php echo esc_html__("Activated",MST_CPLFVC); ?></span>
                                <div class="mstcplfwpb-template-content">
                                    <a title="<?php echo esc_attr__("Edit Template",MST_CPLFVC); ?>" href="<?php echo esc_url($urledit); ?>" class="mstcplfwpb-content-a">
                                    <button class="btn-edit-template-by-list button" ><?php echo esc_html__("Edit this template",MST_CPLFVC); ?></button>
                                    </a>
                                </div>
                            </div>
                        </div>
                        <?php break;?>
                    <?php } ?>
                <?php } ?>
        <?php } ?>
        
        <?php foreach ($templates as $key => $template){ ?>     
            <?php if($template->active!=1){ 
                $query_arg  = $type ? array('post_type' => $this->post_type,'type' => $type,'edit' => $template->id) : array('post_type' => $this->post_type,'edit' => $template->id);
                $urledit    = add_query_arg( $query_arg, esc_url(admin_url('post-new.php')) );
            ?> 
                <div class="mstcplfwpb-template">
                        <div class="mstcplfwpb-template-container">
                            <img src="<?php echo esc_url($template_image); ?>">
                            <div class="mstcplfwpb-template-name">
                                <h3 class="mstcplfwpb-h3-name"><?php echo esc_html__($template->title); ?></h3>
                            </div>
                            <div class="mstcplfwpb-template-content">
                                <a title="<?php echo esc_attr__("Edit this template",MST_CPLFVC); ?>" href="<?php echo esc_url($urledit); ?>" class="mstcplfwpb-content-a">
                                    <button class="btn-edit-template-by-list button" ><?php echo esc_html__("Edit this template",MST_CPLFVC); ?></button>
                                </a>
                                <button title="<?php echo esc_attr__("Delete this template",MST_CPLFVC); ?>" class="product-layout-delete-template btn-delete-template-by-list button" data-language="<?php echo esc_attr($language); ?>" data-template-id="<?php echo esc_attr($template->id); ?>" ><?php echo esc_html__("Delete this template",MST_CPLFVC); ?></button>
                                <button data-language="<?php echo esc_attr($language); ?>" data-template-id="<?php echo esc_attr($template->id); ?>" title="<?php echo esc_attr__("Active this template",MST_CPLFVC); ?>" class="product-layout-active-template active-template-by-page-list button button-primary"><?php echo esc_html__("Active this template",MST_CPLFVC); ?></button>
                            </div>
                        </div>
                </div>
            <?php } ?>
        <?php } ?>
    </div>
</div>
